# spaRSS
QuickJump languages:  
* [English](#en)  
* [Français](#fr)  
* [ελληνικά](#el)

## EN
RSS reader with all articles content in app.

Table of Contents
* [Summary](#summary)
* [Features](#features)
* [How to contribute ?](#how-to-contribute-)
* [Links](#links)

### Summary
spaRSS is a light, modern, totally free (no ads) and opensource project which keeps you inform by fetching your websites/blogs and displaying them in a mobile-optimized way. It is based on the "Flym" RSS reader.  
It DOES NOT synchronize with any online feed reader.

### Features
* easily add new feeds thanks to the Google News or search feature (you can also subscribe to a new one from the browser via the share feature)
* light and dark themes
* offline reading including images and private news
* import/export the feed list from OPML
* retrieve the full text of the feed when the content is truncated
* star your favorite entries
* search into your articles
* filter your feed by keywords or regular expressions
* custom widgets

Feedly users: you can export your feeds to OPML at this address (http://cloud.feedly.com/#opml) and then import them into spaRSS

### How to contribute ?
If you have any idea to improve spaRSS, fell free to add it [here](https://github.com/Etuldan/spaRSS/issues).  
You can also help me for current existing ones on which  I need help [here](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).

### Links
GitHub project: https://github.com/Etuldan/spaRSS  
PlayStore: https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid: https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS is a fork of [Flym](https://github.com/FredJul/Flym)


## FR
Lecteur de flux RSS récupérant périodiquement le contenu des articles.

Table des matières
* [Résumé](#résumé)
* [Fonctionnalités](#fonctionnalités)
* [Comment aider ?](#comment-aider-)
* [Liens](#liens)

### Résumé
spaRSS est un lecteur de flux RSS qui permet la lecture d'article complet sans avoir à ouvrir un navigateur externe.  
Tout le contenu de vos sites d'actualités préférés sera disponible directement dans l'application, sans avoir besoin d'être connecté à Internet au moment de la consultation.  
Il ne se synchronise pas avec les lecteurs RSS en ligne.

### Fonctionnalités
* ajout rapide de flux via GoogleNews et la fonctionnalité de recherche
* ajout de flux par le menu partager des navigateurs
* thèmes foncé et clair
* lecteur hors-ligne des articles complets, avec images, y compris pour les site nécessitant un compte utilisateur.
* import et export de la liste des flux au format OPLM
* indiquez en favoris vos articles préférés
* recherche parmi les actualités
* filtre par mot clé ou expression régulière
* widget

Pour les utilisateurs de Feedly, l'export de vos flux RSS est possible en visitant : http://cloud.feedly.com/#opml

### Comment Aider ?
Vous pouvez proposer des idées [ici](https://github.com/Etuldan/spaRSS/issues) ou consulter celles pour lesquelles j'ai besoin d'aide ou de ressources [là](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).

### Liens
Projet GitHub : https://github.com/Etuldan/spaRSS  
PlayStore : https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid : https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS est un fork de [Flym](https://github.com/FredJul/Flym)


## EL
Αναγνώστης ροών ειδήσεων (RSS) με αποθήκευση του περιεχόμενου των άρθρων.

Ευρετήριο
* [Περίληψη](#Περίληψη)
* [Χαρακτηριστικά](#Χαρακτηριστικά)
* [Πως να συνεισφέρω](#Πως-να-συνεισφέρω)
* [Συνδέσεις](#Συνδέσεις)

### Περίληψη
Το **spaRSS** είναι ένα έργο ελεύθερου λογισμικού, ελαφρύ, μοντέρνο, εντελώς δωρεάν, χωρίς διαφημίσεις, που σας κρατά ενήμερο κατεβάζοντας νέα από τις ιστοσελίδες και τα ιστολόγια των προτιμήσεων σας και τα προβάλει με βελτιστοποιημένο τρόπο στην android συσκευή σας. Ο κώδικας του είναι βασισμένος στον κώδικα του αναγνώστη ροών ειδήσεων "Flym".
**Δεν συγχρονίζεται** με όλα τα RSS.

### Χαρακτηριστικά
* Εύκολος τρόπος να προσθέσετε νέες πηγές ειδήσεων χάρη στο Google News και την λειτουργία αναζήτησης (μπορείτε επίσης να εγγραφείτε σε μια ροή από τον browser μέσω της λειτουργίας διαμοιρασμού ("share"))
* Φωτεινή και σκοτεινή προβολή (themes)
* Δυνατότητα ανάγνωσης για όταν είσαστε χωρίς σύνδεση, συμπεριλαμβανομένων και των εικόνων
* Εισαγωγή / Εξαγωγή της λίστας των ροών από και σε OPML μορφή αρχείου
* Κατέβασμα του πλήρες κείμενου των άρθρων όταν είναι σε περιορισμένη μορφή
* Σήμανση των αγαπημένων σας άρθρων
* Ανεύρεση μέσα στα άρθρα
* Φιλτράρισμα των ροών σας με λέξεις-κλειδιά ή "regular expressions"
* Παραμετροποιήσιμα widgets

Για τους χρήστες του Feedly: Μπορείτε να εξάγετε την λίστα των ροών σας σε OPML - από αυτή την διεύθυνση (http://cloud.feedly.com/#opml) - και να τα εισάγετε στο spaRSS

### Πως να συνεισφέρω
Αν έχετε οποιαδήποτε πρόταση για τη βελτίωση του spaRSS, παρακαλώ να τη προσθέσετε [εδώ](https://github.com/Etuldan/spaRSS/issues).  
Μπορείτε επίσης να με βοηθήσετε στα θέματα [αυτά](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).

### Συνδέσεις
GitHub project: https://github.com/Etuldan/spaRSS  
PlayStore: https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid: https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
Το spaRSS είναι ένα "fork" του [Flym](https://github.com/FredJul/Flym)
